package de.fhw.swtprojekt.hibernatetest;

import java.util.HashSet;
import java.util.Set;

/**
 * Ein Kuchen, hat eine n:m-Beziehung zu Zutaten
 * 
 * @author Wolfgang Knauf
 * 
 */
public class Kuchen
{

  /**
   * Zutaten des Kuchens.
   */
  private Set<Zutat> zutaten = new HashSet<Zutat>();

  /**
   * ID des Kuchens.
   */
  private int iId;

  /**
   * Name des Kuchens.
   */
  private String sName;

  /**ID des Kuchens abrufen
   * @return the iId
   */
  public int getId()
  {
    return this.iId;
  }

  /**ID des Kuchens setzen
   * @param iId Neue ID
   */
  public void setId(int iId)
  {
    this.iId = iId;
  }

  /**Name des Kuchens abrufen
   * @return Name des Kuchens
   */
  public String getName()
  {
    return this.sName;
  }

  /**Name des Kuchens setzen
   * @param sName Neuer Name
   */
  public void setName(String sName)
  {
    this.sName = sName;
  }

  /**
   * Abrufen der Zutaten des Kuchens.
   * 
   * @return Liste der Zutaten.
   */
  public Set<Zutat> getZutaten()
  {
    return this.zutaten;
  }

  /**
   * Setzen der Zutaten des Kuchens.
   * 
   * @param zutaten
   *          Liste der neuen Zutaten.
   */
  public void setZutaten(Set<Zutat> zutaten)
  {
    this.zutaten = zutaten;
  }

  /**
   * ToString liefert den Namen des Kuchen.
   * 
   * @return Name des Kuchen
   */
  @Override
  public String toString()
  {
    return this.sName;
  }
}
