package de.fhw.swtprojekt.hibernatetest;

import java.util.HashSet;
import java.util.Set;

/**
 * Eine Zutat, hat eine n:m-Beziehung zu Kuchen.
 * 
 * @author Wolfgang Knauf
 * 
 */
public class Zutat
{

  /**ID der Zutat.
   */
  private int iId;

  /**
   * In diese Kuchen kommt die Zutat.
   */
  private Set<Kuchen> kuchen = new HashSet<Kuchen>();

  /**Name der Zutat.
   */
  private String sName;
  
  /**ID der Zutat abrufen
   * @return Aktuelle ID
   */
  public int getId()
  {
    return this.iId;
  }

  /**ID der Zutat setzen
   * @param iId Neue ID
   */
  public void setId(int iId)
  {
    this.iId = iId;
  }

  /**Name der Zutat abrufen
   * @return Name der Zutat
   */
  public String getName()
  {
    return this.sName;
  }

  /**Name der Zutat setzen
   * @param sName Neuer Name
   */
  public void setName(String sName)
  {
    this.sName = sName;
  }
  

  /**
   * Abrufen der Kuchen, in die diese Zutat kommt.
   * 
   * @return Liste der Kuchen.
   */
  public Set<Kuchen> getKuchen()
  {
    return this.kuchen;
  }

  /**
   * Setzen der Kuchen, in die diese Zutat kommt.
   * 
   * @param kuchen
   *          Liste der neuen Kuchen.
   */
  public void setKuchen(Set<Kuchen> kuchen)
  {
    this.kuchen = kuchen;
  }

  /**
   * ToString liefert den Namen der Zutat.
   * 
   * @return Name der Zutatn
   */
  @Override
  public String toString()
  {
    return this.sName;
  }
}
